# 3.0 Data API

V2 Revenue Paths require an API Key provided by the R3VL team. This enables the SDK to authorize and communicate with the R3VL API which is responsible for storing Revenue Path configurations.

We store wallet and distribution share data in databases, reducing costs and gas consumption. Firebase is currently supported, with plans to add Polybase and other options. Actual data is stored externally, with a hash reference saved in the contract.

```typescript
import { useR3vlClient } from "@r3vl/sdk/hooks";

useR3vlClient({
  chainId: chain?.id
  provider,
  signer,
  initV2Final: true, // In case you want to create a "complex" Revenue Path with tiers
  initSimple: true, // For revenue paths with no additional tiers configuration
  apiKey: 'xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxx',
  // Api key is required so SDK can store and access data related to Revenue Path configuration 
});
```

Request API Key [here](https://airtable.com/shr6Jd7u3mvtt9D4u).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.r3vl.xyz/reveel-protocol-v2-documentation/sdk/3.0-data-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
